<template>
  <div class="historyBox">
    <div class="colseBtn">
      <img class="searchBtn" @click="close" src="@/assets/closeinput1.png" />
    </div>
    <div class="listBox">
      <ul>
        <li
          v-for="(item, index) in arr"
          :key="index"
          @click="changeLeftMap(item)"
          :class="{ active: currentValue == item }"
        >
          {{ item }}
        </li>
      </ul>
    </div>
  </div>
</template>

<script>
import store from "@/utils/store2";
import { addHistoryLayer } from "@/utils/tool";
export default {
  name: "historyBox",
  components: {},
  data() {
    return {
      arr: [
        2001, 2002, 2003, 2004, 2005, 2006, 2007, 2008, 2009, 2010, 2011, 2012,
        2013, 2014, 2015, 2016, 2017, 2018, 2019, 2020, 2021,
      ],
      currentValue: 2021,
    };
  },
  mounted() {
    window.mapapi.getView().setCenter([4.606512, 2.621472]);
    addHistoryLayer(this.currentValue);
  },
  methods: {
    changeLeftMap(item) {
      this.currentValue = item;
      addHistoryLayer(this.currentValue);
    },
    close() {
      store.setHistoryShow(false);
    },
  },
};
</script>
<style scoped>
.colseBtn {
  position: absolute;
  top: 5vh;
  right: 20px;
}

.searchBtn {
  width: 40px;
  height: 40px;
}

.listBox {
  position: absolute;
  right: 20px;
  bottom: 10px;
  background-color: #373737;
}

.listBox li {
  padding: 2px;
  border: 1px solid #000;
  color: white;
}

.listBox li:hover {
  background-color: #00e1ff;
}

.mapLeft {
  float: left;
  position: absolute;
  width: 100vw;
  height: 100vh;
}

.active {
  background-color: #4590d7;
}
</style>
